## tmux 0.8

=== Makefile ===
# $Id: Makefile,v 1.121 2009/04/21 20:10:22 nicm Exp $

.SUFFIXES: .c .o .y .h
.PHONY: clean update-index.html upload-index.html

PROG= tmux
VERSION= 0.8

OS!= uname
REL!= uname -r
DATE!= date +%Y%m%d-%H%M

#FDEBUG= 1

META?= \002 # C-b

SRCS= tmux.c server.c server-msg.c server-fn.c buffer.c buffer-poll.c status.c \
      xmalloc.c xmalloc-debug.c input.c input-keys.c \
      screen.c screen-write.c screen-redraw.c \
      grid.c grid-view.c \
      window.c session.c log.c client.c client-msg.c client-fn.c cfg.c \
      layout.c key-string.c key-bindings.c resize.c arg.c mode-key.c \
      cmd.c cmd-generic.c cmd-string.c cmd-list.c \
      cmd-detach-client.c cmd-list-sessions.c cmd-new-window.c cmd-bind-key.c \
      cmd-unbind-key.c cmd-previous-window.c cmd-last-window.c cmd-list-keys.c \
      cmd-set-option.c cmd-rename-window.c cmd-select-window.c \
      cmd-list-windows.c cmd-attach-session.c cmd-send-prefix.c \
      cmd-refresh-client.c cmd-kill-window.c cmd-list-clients.c \
      cmd-link-window.c cmd-unlink-window.c cmd-next-window.c cmd-send-keys.c \
      cmd-swap-window.c cmd-rename-session.c cmd-kill-session.c \
      cmd-switch-client.c cmd-has-session.c cmd-scroll-mode.c cmd-copy-mode.c \
      cmd-paste-buffer.c cmd-new-session.c cmd-start-server.c \
      cmd-kill-server.c cmd-set-window-option.c cmd-show-options.c \
      cmd-show-window-options.c cmd-command-prompt.c cmd-set-buffer.c \
      cmd-show-buffer.c cmd-list-buffers.c cmd-delete-buffer.c \
      cmd-list-commands.c cmd-move-window.c cmd-select-prompt.c \
      cmd-respawn-window.c cmd-source-file.c cmd-server-info.c \
      cmd-clock-mode.c cmd-lock-server.c cmd-set-password.c \
      cmd-save-buffer.c cmd-select-pane.c cmd-split-window.c \
      cmd-resize-pane-up.c cmd-resize-pane-down.c cmd-kill-pane.c \
      cmd-up-pane.c cmd-down-pane.c cmd-choose-window.c cmd-choose-session.c \
      cmd-suspend-client.c cmd-find-window.c cmd-load-buffer.c \
      cmd-copy-buffer.c cmd-break-pane.c cmd-swap-pane.c cmd-next-layout.c \
      cmd-rotate-window.c \
      window-clock.c window-scroll.c window-more.c window-copy.c \
      window-choose.c \
      options.c options-cmd.c paste.c colour.c utf8.c clock.c \
      tty.c tty-term.c tty-keys.c tty-write.c util.c names.c attributes.c \
      osdep-unknown.c osdep-openbsd.c osdep-freebsd.c osdep-linux.c \
      osdep-darwin.c osdep-netbsd.c

CC?= c
INCDIRS+= -I. -I- -I/usr/local/include
CFLAGS+= -DMETA="'${META}'"
.ifdef PROFILE
# Don't use ccache
CC= /usr/bin/gcc
CFLAGS+= -pg -DPROFILE -O0
.endif
.ifdef FDEBUG
CFLAGS+= -g -ggdb -DDEBUG
LDFLAGS+= -Wl,-E
CFLAGS+= -DBUILD="\"$(VERSION) ($(DATE))\""
.else
CFLAGS+= -DBUILD="\"$(VERSION)\""
.endif
#CFLAGS+= -pedantic -std=c99
CFLAGS+= -Wno-long-long -Wall -W -Wnested-externs -Wformat=2
CFLAGS+= -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations
CFLAGS+= -Wwrite-strings -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare
CFLAGS+= -Wundef -Wbad-function-cast -Winline -Wcast-align

PREFIX?= /usr/local
INSTALLDIR= install -d
INSTALLBIN= install -g bin -o root -m 555
INSTALLMAN= install -g bin -o root -m 444

LDFLAGS+= -L/usr/local/lib
.ifdef PROFILE
LDFLAGS+= -pg
.endif
LIBS+= -lutil -lncurses

# FreeBSD and DragonFly
.if ${OS} == "FreeBSD" || ${OS} == "DragonFly"
INCDIRS+= -Icompat
SRCS+= compat/vis.c
CFLAGS+= -DUSE_LIBUTIL_H -DNO_QUEUE_H -DNO_TREE_H
LIBS+= -lcrypt
.endif

# NetBSD
.if ${OS} == "NetBSD"
INCDIRS= -Icompat
SRCS+= compat/strtonum.c compat/vis.c
LIBS+= -lcrypt
CFLAGS+=-DNO_STRTONUM
.endif

OBJS= ${SRCS:S/.c/.o/:S/.y/.o/}

DISTDIR= ${PROG}-${VERSION}
DISTFILES= *.[chyl] Makefile GNUmakefile *.[1-9] NOTES TODO CHANGES FAQ \
	   `find examples compat -type f -and ! -path '*CVS*'`

CLEANFILES= ${PROG} *.o .depend *~ ${PROG}.core *.log compat/*.o index.html

CPPFLAGS:= ${INCDIRS} ${CPPFLAGS} 

.c.o:
		${CC} ${CPPFLAGS} ${CFLAGS} -c ${.IMPSRC} -o ${.TARGET}

.y.o:
		${YACC} ${.IMPSRC}
		${CC} ${CPPFLAGS} ${CFLAGS}  -c y.tab.c -o ${.TARGET}

all:		${PROG}

${PROG}:	${OBJS}
		${CC} ${LDFLAGS} -o ${PROG} ${OBJS} ${LIBS}

depend:
		mkdep ${CPPFLAGS} ${CFLAGS} ${SRCS:M*.c}

dist:		clean
		grep '^#FDEBUG=' Makefile
		grep '^#FDEBUG=' GNUmakefile
		[ "`(grep '^VERSION' Makefile; grep '^VERSION' GNUmakefile)| \
			uniq -u`" = "" ]
		tar -zc \
			-s '/.*/${DISTDIR}\/\0/' \
			-f ${DISTDIR}.tar.gz ${DISTFILES}

lint:
		lint -chvx ${CFLAGS:M-D*} ${SRCS:M*.c}

clean:
		rm -f ${CLEANFILES}

upload-index.html: update-index.html
		scp index.html images/*.png \
			nicm,tmux@web.sf.net:/home/groups/t/tm/tmux/htdocs
		rm -f images/small-*

update-index.html:
		(cd images && \
			rm -f small-* && \
			for i in *.png; do \
			convert "$$i" -resize 200x150 "small-$$i"; \
			done \
		)
		sed "s/%%VERSION%%/${VERSION}/g" index.html.in >index.html

install:	all
		${INSTALLDIR} ${DESTDIR}${PREFIX}/bin
		${INSTALLBIN} ${PROG} ${DESTDIR}${PREFIX}/bin/
		${INSTALLDIR} ${DESTDIR}${PREFIX}/man/man1
		${INSTALLMAN} ${PROG}.1 ${DESTDIR}${PREFIX}/man/man1/

## tmux 1.1

=== Makefile ===
# $Id: Makefile,v 1.153 2009/11/05 12:30:55 tcunha Exp $
#
# Copyright (c) 2009 Nicholas Marriott <nicm@users.sourceforge.net>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF MIND, USE, DATA OR PROFITS, WHETHER
# IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
# OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

.SUFFIXES: .c .o
.PHONY: clean

VERSION= 1.1

#FDEBUG= 1

CC?= cc
CFLAGS+= -DBUILD="\"$(VERSION)\""
LDFLAGS+= -L/usr/local/lib
LIBS+=

.ifdef FDEBUG
CFLAGS+= -g -ggdb -DDEBUG
CFLAGS+= -Wno-long-long -Wall -W -Wnested-externs -Wformat=2
CFLAGS+= -Wmissing-prototypes -Wstrict-prototypes -Wmissing-declarations
CFLAGS+= -Wwrite-strings -Wshadow -Wpointer-arith -Wsign-compare
CFLAGS+= -Wundef -Wbad-function-cast -Winline -Wcast-align
.endif

# This sort of sucks but gets rid of the stupid warning and should work on
# most platforms...
CCV!= (LC_ALL=C ${CC} -v 2>&1|awk '/gcc version 4|clang/') || true
.if empty(CCV)
CPPFLAGS:= -I. -I- -I/usr/local/include ${CPPFLAGS}
.else
CPPFLAGS:= -iquote. -I/usr/local/include ${CPPFLAGS}
.ifdef FDEBUG
CFLAGS+= -Wno-pointer-sign
.endif
.endif

PREFIX?= /usr/local
INSTALLDIR= install -d
INSTALLBIN= install -g bin -o root -m 555
INSTALLMAN= install -g bin -o root -m 444

SRCS!= echo *.c|sed 's|osdep-[a-z0-9]*.c||g'
.include "config.mk"
OBJS= ${SRCS:S/.c/.o/}

.c.o:
		${CC} ${CPPFLAGS} ${CFLAGS} -c ${.IMPSRC} -o ${.TARGET}

all:		tmux

tmux:		${OBJS}
		${CC} ${LDFLAGS} -o tmux ${OBJS} ${LIBS}

depend:
		mkdep ${CPPFLAGS} ${CFLAGS} ${SRCS:M*.c}

clean:
		rm -f tmux *.o *~ *.core *.log compat/*.o compat/*~

clean-depend:
		rm -f .depend

clean-all:	clean clean-depend
		rm -f config.h config.mk

install:	all
		${INSTALLDIR} ${DESTDIR}${PREFIX}/bin
		${INSTALLBIN} tmux ${DESTDIR}${PREFIX}/bin/
		${INSTALLDIR} ${DESTDIR}${PREFIX}/man/man1
		${INSTALLMAN} tmux.1 ${DESTDIR}${PREFIX}/man/man1/

## tmux 1.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.153 2009/11/05 12:30:55 tcunha Exp $
+# $Id: Makefile,v 1.160 2010/07/18 13:36:52 tcunha Exp $
 #
 # Copyright (c) 2009 Nicholas Marriott <nicm@users.sourceforge.net>
 #
@@ -18,7 +18,7 @@
 .SUFFIXES: .c .o
 .PHONY: clean
 
-VERSION= 1.1
+VERSION= 1.3
 
 #FDEBUG= 1
 
@@ -48,11 +48,12 @@
 .endif
 
 PREFIX?= /usr/local
-INSTALLDIR= install -d
-INSTALLBIN= install -g bin -o root -m 555
-INSTALLMAN= install -g bin -o root -m 444
+INSTALL?= install
+INSTALLDIR= ${INSTALL} -d
+INSTALLBIN= ${INSTALL} -m 555
+INSTALLMAN= ${INSTALL} -m 444
 
-SRCS!= echo *.c|sed 's|osdep-[a-z0-9]*.c||g'
+SRCS!= echo *.c|LC_ALL=C sed 's|osdep-[a-z0-9]*.c||g'
 .include "config.mk"
 OBJS= ${SRCS:S/.c/.o/}

=== debian/changelog ===
tmux (1.3-2+squeeze1) stable-security; urgency=high

  * Fix "Incorrect dropping of privileges allows users to obtain utmp
    group privileges" by adjusting patch 04_drop_unnecessary_privileges.diff 
    to drop privileges at the caller side (Closes: #620304).

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Mon, 04 Apr 2011 23:11:12 +0200

tmux (1.3-2) unstable; urgency=low

  [ Karl Ferdinand Ebert ]
  * Fix "/usr/bin/tmux: tmux crashes on attach-session" by deactivating
    06_hardening_write_return.diff patch (Closes: #603542)
  * Fix FTBFS on hurd-i386, MAXHOSTNAMELEN isn't defined there.
  * Bump to standard version 3.9.1 (no changes needed).

  [ Romain Francoise ]
  * Combine upstream patches in a single 99_upstream.diff file.
  * Fix reference to /tmp as socket directory in the man page; we use
    /var/run/tmux.

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Tue, 16 Nov 2010 22:29:30 +0100

tmux (1.3-1) unstable; urgency=low

  * New upstream version, fixes "tmux does not refresh console" (Closes:
    #575193).
  * Drop cherry-picked patches from upstream: 08_avoid_double_free.diff,
    09_show_dead_windows.diff and 11_fix_crash_multiple_commands.diff.
  * Include cherry-picked patches from upstream: 13_server-client.c.diff,
    14_server-window.c.diff and 15_window-copy.c.diff.
  * Refresh rest of patches.
  * Update debian/copyright.
  * Bump to standard version 3.9.0, no changes needed.
  * Document server protocol change in NEWS.Debian.

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Fri, 23 Jul 2010 08:09:03 +0200

tmux (1.2-4) unstable; urgency=low

  * Add patch 11_fix_crash_multiple_commands.diff from upstream CVS.

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Wed, 05 May 2010 12:53:51 +0200

tmux (1.2-3) unstable; urgency=low

  * Drop 10_no_zombies.diff, it causes a regression far worse than the bug
    it fixes (closes: #579353).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 27 Apr 2010 18:57:03 +0200

tmux (1.2-2) unstable; urgency=low

  * Make Homepage point to the website, not the SF project page.
  * Add patches 09_show_dead_windows.diff and 10_no_zombies.diff, both
    cherry-picked from upstream CVS.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 25 Apr 2010 15:59:14 +0200

tmux (1.2-1) unstable; urgency=low

  [ Karl Ferdinand Ebert ]
  * New upstream release, fixes "cannot find opposite of break-window"
    (Closes: #573616, #575989)
  * New build-depend on libevent-dev as upstream needs this now.
  * Bump to standard version 3.8.4 (no changes needed), adopted new source
    format and switched parts of debian/rules to dh_auto_*.
  * Add year 2010 to debian/copyright.
  * Refreshed patch 06_hardening_write_return.diff with help from Micah Cowan.
  * Add hardening-wrapper to build-depends (Closes: #576157)

  [ Romain Francoise ]
  * Add myself to Uploaders.
  * Add Vcs-Browser and Vcs-Git fields in debian/control.
  * Use hardening-includes rather than hardening-wrapper.
  * Simplify debian/rules further using dh(1).
  * Bump debhelper build-depends to >= 7.0.50~ for dh overrides.
  * Add debian/patches/08_avoid_double_free.diff.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 14 Apr 2010 21:50:36 +0200

tmux (1.1-1) unstable; urgency=low

  [ Karl Ferdinand Ebert ]
  * New upstream release fixes "tmux does not support screen-256color like
    it claims". Thanks very much Tim Allen for pointing this out.
    (Closes: #550701).

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Fri, 06 Nov 2009 17:03:29 +0100

tmux (1.0-1) unstable; urgency=low

  * New upstream release
  	+ fixes "add a setenv command like in Screen" (Closes: #531151)
  	+ and "Omit tmux-generated line-wrapping newlines from paste buffer"
    (Closes: #531497)
  * Fix lintian info with 07_fix_hyphen.diff.

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Thu, 24 Sep 2009 09:52:15 +0200

tmux (0.9-2) unstable; urgency=low

  * Fixing FTBFS for kfreebsd and hurd with 05_build_kfreebsd_hurd.dpatch
  * with DEB_BUILD_HARDENING=1 detected minor unchecked return values, fixed
    with 06_hardening_write_return.dpatch
  * added README.source from azureus package to satisfy lintian

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Wed, 26 Aug 2009 18:43:47 +0200

tmux (0.9-1) unstable; urgency=low

  * New upstream release (Closes: #536087)
  * better handling of UTF8, therefore dropping hint in README.Debian
  * Dropping patch 01_fix_wring_location (applied upstream)
  * Modified patches 02_fix_wring_location and
    03_proper_socket_handling to fit in.

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Tue, 07 Jul 2009 17:05:31 +0200

tmux (0.8-5) unstable; urgency=low

  * Fix "Bad sockethandling" sockets are now created in /var/run/tmux with
    sgid flag and utmp group. Modified program drops these privileges
    immediately. (Closes: #529082)
  * contains now a README.Debian as a hint for UTF-8
  * using dpatch system and a clean debian/rules
  * mentioned scripts from screen in debian/copyright which cover now an
    init-script that cleans /var/run/tmux after reboot

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Sun, 17 May 2009 21:24:02 +0200

tmux (0.8-4) unstable; urgency=low

  * included statement towards BSD-2,BSD-3 in debian/copyright
  * filed a bugreport (Closes: #519339: ITP: tmux -- an alternative to
    screen, licensed under BSD)

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Sun, 26 Apr 2009 08:12:03 +0200

tmux (0.8-3) unstable; urgency=low

  * corrected debian/copyright file

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Sat, 25 Apr 2009 19:40:55 +0200

tmux (0.8-2) unstable; urgency=low

  * changed debian/rules

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Sat, 25 Apr 2009 17:04:33 +0200

tmux (0.8-1) unstable; urgency=low

  * New upstream release

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Fri, 24 Apr 2009 16:33:16 +0200

tmux (0.7-3) unstable; urgency=low

  * extended documentation and long description
  * mentioned BSD license in debian/copyright


=== debian/control ===
Source: tmux
Section: admin
Priority: optional
Maintainer: Karl Ferdinand Ebert <kfebert@gmail.com>
Uploaders: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libevent-dev,
               hardening-includes
Standards-Version: 3.9.1
Homepage: http://tmux.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/tmux.git
Vcs-Git: git://git.debian.org/collab-maint/tmux.git

Package: tmux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: terminal multiplexer
 tmux enables a number of terminals (or windows) to be accessed and 
 controlled from a single terminal like screen. tmux runs as a 
 server-client system.  A server is created automatically when 
 necessary and holds a number of sessions, each of which may have 
 a number of windows linked to it. Any number of clients may connect 
 to a session, or the server may be controlled by issuing commands 
 with tmux. Communication takes place through a socket, by default 
 placed in /var/run. Moreover tmux provides a consistent and 
 well-documented command interface, with the same syntax whether used 
 interactively, as a key binding, or from the shell. It offers a 
 choice of vim or emacs key layouts.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

export CFLAGS += $(HARDENING_CFLAGS)
export LDFLAGS += $(HARDENING_LDFLAGS)

%:
	dh $@

override_dh_installinit:
	dh_installinit --no-start --init-script='tmux-cleanup' \
		--update-rcd-params='start 70 S .'

override_dh_fixperms:
	dh_fixperms -X/usr/bin/tmux

override_dh_auto_clean: 
	dh_auto_clean -- clean-all

## tmux 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.160 2010/07/18 13:36:52 tcunha Exp $
+# $Id: Makefile,v 1.162 2010/12/27 21:32:16 tcunha Exp $
 #
 # Copyright (c) 2009 Nicholas Marriott <nicm@users.sourceforge.net>
 #
@@ -18,7 +18,7 @@
 .SUFFIXES: .c .o
 .PHONY: clean
 
-VERSION= 1.3
+VERSION= 1.4
 
 #FDEBUG= 1

=== debian/changelog ===
tmux (1.4-8ubuntu1) oneiric; urgency=low

  * debian/patches/09_fix_gnome_terminal_keycodes.diff:
    - enable tmux handling of gnome-terminal's shift/ctrl/alt + F1-F4
    - patch submitted and accepted upstream

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 24 Jun 2011 15:42:31 -0500

tmux (1.4-8) unstable; urgency=low

  * Fix "tmux segfaults with [lost server] if second pane is closed
    after third pane has been broke out" by patch 99_upstream.diff 
    (Closes: #622677).

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Tue, 10 May 2011 23:39:17 +0200

tmux (1.4-7) unstable; urgency=low

  [ Karl Ferdinand Ebert ]
  * Drop Debian-specific socket handling changes:
    + debian/patches/03_proper_socket_handling.diff,
      debian/patches/04_dropping_unnecessary_privileges.diff: Dropped.
    + debian/{init,tmux.lintian-overrides}: Removed, no longer necessary.
    + debian/rules: Remove dh_installinit and dh_fixperms invocations.

  [ Romain Francoise ]
  * debian/control: Remove reference to /var/run as socket location.
  * debian/copyright: Remove references to screen init script.
  * debian/{preinst,postinst,postrm}: Deal with disappearance of the
    /etc/init.d/tmux-cleanup script.
  * debian/NEWS: Mention socket handling changes.
  * Drop disabled patch debian/patches/06_hardening_write_return.diff.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Apr 2011 19:41:04 +0200

tmux (1.4-6) unstable; urgency=high

  * Fix "Incorrect dropping of privileges allows users to obtain utmp
    group privileges" by adjusting patch 04_drop_unnecessary_privileges.diff
    to drop privileges at the caller side (Closes: #620304).

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Sun, 03 Apr 2011 18:28:42 +0200

tmux (1.4-5) unstable; urgency=low

  * Fix "tmux segfaults with [lost server] if two panes are closed with
    tiled layout" by patch 08_layout_set.diff (Closes: #616641).
  * Update debian/copyright with regard to dropped upstream patches.

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Sun, 06 Mar 2011 22:02:46 +0100

tmux (1.4-4) unstable; urgency=low

  * Drop build-conflicts against libevent-dev (>> 2.0).
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 16 Feb 2011 20:35:31 +0100

tmux (1.4-3) experimental; urgency=low

  * Move back to epoll on Linux until libevent's poll backend gets fixed
    (see #609444).
  * Add build-conflicts on libevent 2.0 for the time being, Debian's
    version is too old.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 13 Jan 2011 21:39:15 +0100

tmux (1.4-2) experimental; urgency=low

  * Cherry-pick upstream fix disabling epoll support in libevent to avoid
    server hangs.
  * Define PATH_MAX if it's missing to fix FTBFS on GNU/Hurd, thanks to
    Justus Winter (closes: #609333).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 08 Jan 2011 23:41:00 +0100

tmux (1.4-1) experimental; urgency=low

  * New upstream version; windows are no longer inappropriately set as
    hidden when sizes are recalculated (closes: #575193).
  * Drop debian/patches/99_upstream.diff.
  * debian/control: use versioned build-dependency on libevent-dev.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 28 Dec 2010 12:25:29 +0100

=== debian/control ===
Source: tmux
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Karl Ferdinand Ebert <kfebert@gmail.com>
Uploaders: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libevent-dev (>> 1.4),
               hardening-includes
Standards-Version: 3.9.1
Homepage: http://tmux.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/tmux.git
Vcs-Git: git://git.debian.org/collab-maint/tmux.git

Package: tmux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: terminal multiplexer
 tmux enables a number of terminals (or windows) to be accessed and
 controlled from a single terminal like screen. tmux runs as a
 server-client system. A server is created automatically when necessary
 and holds a number of sessions, each of which may have a number of
 windows linked to it. Any number of clients may connect to a session,
 or the server may be controlled by issuing commands with tmux.
 Communication takes place through a socket, by default placed in /tmp.
 Moreover tmux provides a consistent and well-documented command
 interface, with the same syntax whether used interactively, as a key
 binding, or from the shell. It offers a choice of vim or Emacs key
 layouts.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

export CFLAGS += $(HARDENING_CFLAGS)
export LDFLAGS += $(HARDENING_LDFLAGS)

%:
	dh $@

override_dh_auto_clean: 
	dh_auto_clean -- clean-all

## tmux 1.5

=== debian/changelog ===
tmux (1.5-1~maverick1) maverick-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2011 09:19:58 +0000

tmux (1.5-1) unstable; urgency=low

  [ Karl Ferdinand Ebert ]
  * New upstream version 1.5 which fixes incorrect result from tmux
    has-session (Closes: #621138).
  * Rearrange all patches:
    - Remove 08_layout_set.diff (applied upstream).
    - Remove 09_fix_gnome_terminal_keycodes (included in upstream).
    - Remove 99_upstream.diff (no difference now).
    - New configure scripts forces to set install_prefix and support for HURD
      and kFreeBSD else where.
    - Refresh 07_fix_hyphen.diff and update series.

  [ Romain Francoise ]
  * debian/rules: Don't override dh_auto_clean.
  * Remove debian/patches/01_install_prefix.diff.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Jul 2011 13:10:23 +0200

tmux (1.4-9) unstable; urgency=low

  [ Dustin Kirkland ]
  * debian/patches/09_fix_gnome_terminal_keycodes.diff:
    - enable tmux handling of gnome-terminal's shift/ctrl/alt + F1-F4
    - patch submitted and accepted upstream

  [ Karl Ferdinand Ebert ]
  * Bump standard version to 3.9.2 (no changes).

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Sat, 25 Jun 2011 11:47:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Karl Ferdinand Ebert <kfebert@gmail.com>
+Maintainer: Karl Ferdinand Ebert <kfebert@gmail.com>
 Uploaders: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libevent-dev (>> 1.4),
                hardening-includes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://tmux.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tmux.git
 Vcs-Git: git://git.debian.org/collab-maint/tmux.git

## tmux 1.6~svn2642

=== debian/changelog ===
tmux (1.6~svn2642-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2642).
  * Add -Wl,--as-needed to LDFLAGS to lose extra dependency on libncurses5.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 25 Nov 2011 18:04:01 +0100

tmux (1.6~svn2630-2) experimental; urgency=low

  * Redo build flags handling:
    + Enable hardening flags via dpkg-buildflags, not hardening-includes.
    + Switch to debhelper compat level 9 to have build flags exported
      automatically. This adds back -O2, which had gone missing.
    + Adjust build-depends accordingly.
  * Enable parallel build in debhelper.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 03 Nov 2011 22:55:04 +0100

tmux (1.6~svn2630-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2630).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 01 Nov 2011 10:42:03 +0100

tmux (1.6~svn2608-2) experimental; urgency=low

  * Switch to libevent 2.0 and disable the epoll backend (closes: #631984).
  * Add /usr/bin/tmux to /etc/shells (closes: #644813).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 09 Oct 2011 17:52:50 +0200

tmux (1.6~svn2608-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2608).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 03 Oct 2011 21:13:21 +0200

tmux (1.5-2) unstable; urgency=low

  * Disable the tmux-cleanup init script on upgrade (the file was removed
    in 1.4-7).
  * Fix typo in examples/screen-keys.conf (closes: #635349).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Sep 2011 14:58:54 +0200

## tmux 1.6~svn2647

=== debian/changelog ===
tmux (1.6~svn2647-2) experimental; urgency=low

  * Disable cwd detection in FreeBSD osdep code to fix FTBFS on kfreebsd.
  * Refresh, clean up and add DEP-3 headers to patches.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 10 Dec 2011 19:38:48 +0100

tmux (1.6~svn2647-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2647).
  * The working directory for new processes is now taken from the active
    window if there is one (closes: #644781).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 09 Dec 2011 20:51:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Karl Ferdinand Ebert <kfebert@gmail.com>
 Uploaders: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libevent-dev (>> 1.4),
-               hardening-includes
+Build-Depends: dpkg-dev (>= 1.16.1~),
+               debhelper (>= 8.9.4~),
+               libncurses5-dev,
+               libevent-dev (>> 2.0.10),
 Standards-Version: 3.9.2
 Homepage: http://tmux.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tmux.git

## tmux 1.6

=== debian/changelog ===
tmux (1.6-2) unstable; urgency=low

  [ Colin Watson ]
  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades
    (closes: #659794).

  [ Romain Francoise ]
  * Quote backslash in examples/screen-keys.conf to avoid syntax error
    (closes: #662250).
  * Bump Standards-Version to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Mar 2012 11:42:28 +0100

tmux (1.6-1) unstable; urgency=low

  * New upstream release (closes: #657026).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 Jan 2012 19:20:48 +0100

tmux (1.6~svn2670-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2670).
  * The new window option 'allow-rename' can be used to disable the screen
    title setting escape sequence (closes: #654882).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 21 Jan 2012 21:38:18 +0100

tmux (1.5-3) unstable; urgency=low

  * Add /usr/bin/tmux to /etc/shells (closes: #644813).
  * Switch to libevent 2.0 and disable the epoll backend (closes: #631984).
  * Redo build flags handling:
    + Enable hardening flags via dpkg-buildflags, not hardening-includes.
    + Switch to debhelper compat level 9 to have build flags exported
      automatically. This adds back -O2, which had gone missing.
    + Adjust build-depends accordingly.
  * Enable parallel build in debhelper.
  * Add -Wl,--as-needed to LDFLAGS to lose extra dependency on libncurses5.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 28 Nov 2011 21:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
                debhelper (>= 8.9.4~),
                libncurses5-dev,
                libevent-dev (>> 2.0.10),
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://tmux.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tmux.git
 Vcs-Git: git://git.debian.org/collab-maint/tmux.git
 
 Package: tmux
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: terminal multiplexer
  tmux enables a number of terminals (or windows) to be accessed and

## tmux 1.7~svn2691

=== debian/changelog ===
tmux (1.7~svn2691-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2691).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 31 Jan 2012 20:22:50 +0100

## tmux 1.7

=== debian/changelog ===
tmux (1.7-3) unstable; urgency=low

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 19 Oct 2012 20:06:08 +0200

tmux (1.7-2) experimental; urgency=low

  * Add build-dep on pkg-config for dh-autoreconf.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 13 Oct 2012 15:37:36 +0200

tmux (1.7-1) experimental; urgency=low

  * New upstream release.
  * Use dh-autoreconf to update upstream's old config.{guess,sub} scripts.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 13 Oct 2012 14:55:38 +0200

tmux (1.7~z20121007-1) experimental; urgency=low

  * New upstream snapshot, from Git commit 43d2b6a648.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 07 Oct 2012 12:43:23 +0200

tmux (1.7~z20120929-1) experimental; urgency=low

  * New upstream snapshot, from Git commit 80b5c0e076.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Sep 2012 16:36:18 +0200

tmux (1.7~svn2867-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2867).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 31 Aug 2012 18:03:41 +0200

tmux (1.7~svn2845-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2845).

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 11 Jul 2012 21:57:13 +0200

tmux (1.7~svn2829-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2829).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 24 Jun 2012 21:39:54 +0200

tmux (1.7~svn2819-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2819).
  * Warn about protocol change in debian/NEWS.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 30 May 2012 19:49:57 +0200

tmux (1.7~svn2788-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2788).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 04 May 2012 18:03:11 +0200

tmux (1.7~svn2773-2) experimental; urgency=low

  * Revert automatic-rename changes from r2773.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 10 Apr 2012 19:14:58 +0200

tmux (1.7~svn2773-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2773).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 10 Apr 2012 18:49:54 +0200

tmux (1.7~svn2760-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2760).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 30 Mar 2012 19:11:50 +0200

tmux (1.7~svn2749-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2749).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 18 Mar 2012 12:42:10 +0100

tmux (1.7~svn2717-1) experimental; urgency=low

  * New upstream snapshot from Subversion (r2717).
  * Quote backslash in examples/screen-keys.conf to avoid syntax error
    (closes: #662250).
  * Bump Standards-Version to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 08 Mar 2012 20:19:30 +0100

tmux (1.7~svn2703-1) experimental; urgency=low

  [ Romain Francoise ]
  * New upstream snapshot from Subversion (r2703).

  [ Colin Watson ]
  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades
    (closes: #659794).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 20 Feb 2012 21:15:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
                debhelper (>= 8.9.4~),
                libncurses5-dev,
                libevent-dev (>> 2.0.10),
+               pkg-config,
+               dh-autoreconf,
 Standards-Version: 3.9.3
 Homepage: http://tmux.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tmux.git

## tmux 1.8

=== debian/changelog ===
tmux (1.8-5) unstable; urgency=low

  * Cherry-pick fixes from upstream Git:
    + 5532766b19: fix last after movew -r
    + c103f2fbcb: consistently clear window flags for all sessions
    + 21bca549d3: consider only visible panes for resize-pane-mouse

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 13 Oct 2013 12:48:38 +0200

tmux (1.8-4) unstable; urgency=low

  * Cherry-pick fixes from upstream Git:
    + 9fb9f78e43: UTF-8 mangled in send-keys
    + 965edf8a5c: crash when window in a grouped session is killed
    + b0b5cad496: memory leak when grouped sessions are destroyed
    + 27364345bf: avoid processing NULL client formats
    + 939f796f08: memory leak with repeated formats

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 02 Aug 2013 19:39:29 +0200

tmux (1.8-3) unstable; urgency=low

  * Cherry-pick additional fixes from upstream Git:
    + 772d61f3ed: reset focus reporting on hard reset
    + 25c430b1cd: off-by-one buffer overflow in cmd_print()
    + 88a4da9747: cursor position overflow when reflowing

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 25 May 2013 18:53:11 +0200

tmux (1.8-2) unstable; urgency=low

  * Cherry-pick important fixes from upstream Git:
    + 9fcda95a6f: hang in if-shell/run-shell
    + caa8290510: missing client context in source-file
    + 5dda1abc32: server crash with `remain-on-exit' and focus reporting
    + 46c7dbef0f: grouped window sizes not properly recalculated
  * debian/control: Use canonical locations in Vcs-* fields.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 23 Apr 2013 20:19:26 +0200

tmux (1.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4.
  * With Ferdinand's blessing, set myself as maintainer to better reflect
    reality.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 26 Mar 2013 22:33:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Karl Ferdinand Ebert <kfebert@gmail.com>
-Uploaders: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Romain Francoise <rfrancoise@debian.org>
+Uploaders: Karl Ferdinand Ebert <kfebert@gmail.com>
 Build-Depends: dpkg-dev (>= 1.16.1~),
                debhelper (>= 8.9.4~),
                libncurses5-dev,
                libevent-dev (>> 2.0.10),
                pkg-config,
                dh-autoreconf,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://tmux.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/tmux.git
-Vcs-Git: git://git.debian.org/collab-maint/tmux.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tmux.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/tmux.git
 
 Package: tmux
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/tmux/tmux-(.+)\.tar\.gz debian uupdate

## tmux 1.9

=== debian/changelog ===
tmux (1.9-6ubuntu1) utopic; urgency=medium

  * Cherry-pick fix from upstream Git:
    + upstream-2056a9ef9e.diff: fix Shift-Fkeys, LP: #1350810

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Sep 2014 07:55:48 -0500

tmux (1.9-6) unstable; urgency=medium

  * Cherry-pick fixes from upstream Git:
    + 189017c078: memory leak in find-window
    + 8e4ae12b4d: locking was broken in move to lockf, move back to flock
    + f117c7d94a: crash if a client is killed while suspended

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 14 Aug 2014 21:31:23 +0200

tmux (1.9-5) unstable; urgency=medium

  * Cherry-pick 8880bdb67c from upstream Git to fix escaping of '#' in
    status formats (closes: #747133).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 13 May 2014 22:41:09 +0200

tmux (1.9-4) unstable; urgency=low

  * Cherry-pick fixes from upstream Git:
    + 030437e33e: server crash due to wrong snprintf() usage
    + 0d14f81d76: change osdep_get_cwd() logic on Linux to also try sid
    + 0f0db07c49: incorrect handling of 4-byte UTF-8 sequences
    + 57f2de093a: use O_TRUNC in save-buffer
    + 806cc11008: don't leak two fds on subjob fork() failure

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 26 Apr 2014 18:05:47 +0200

tmux (1.9-3) unstable; urgency=low

  * Cherry-pick fixes from upstream Git:
    + 0bb9d51965: crash at startup with MALLOC_CHECK_=2
    + 78e783e786: server crash with swap-pane
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 06 Mar 2014 20:32:38 +0100

tmux (1.9-2) experimental; urgency=low

  * Add urgent fixes from upstream version 1.9a:
    + 315d45a0eb: crash in last active pane handling
    + c7f3599ebc: -fg/-bg/-style broken on 256-color terminals

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 23 Feb 2014 00:45:15 +0100

tmux (1.9-1) experimental; urgency=low

  * New upstream release.
  * Warn about protocol change in debian/NEWS.
  * Bump Standards-Version to 3.9.5.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Feb 2014 17:49:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
 Uploaders: Karl Ferdinand Ebert <kfebert@gmail.com>
 Build-Depends: dpkg-dev (>= 1.16.1~),
                debhelper (>= 8.9.4~),
@@ -9,7 +10,7 @@
                libevent-dev (>> 2.0.10),
                pkg-config,
                dh-autoreconf,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://tmux.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tmux.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/tmux.git

## tmux 2.0

=== debian/changelog ===
tmux (2.0-3) unstable; urgency=medium

  * Cherry-pick more fixes from upstream Git:
    + f60d88cd24: use standout instead of italics for SGR3, like screen does
      (closes: #756353)
    + a0cfbf8522: set up client signal handler earlier to avoid zombies
    + 8c0867fce0: use-after-free in paste/window-copy
    + 70f783ff56: doc fix for set-titles-string

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 23 May 2015 12:40:52 +0200

tmux (2.0-2) unstable; urgency=medium

  * Cherry-pick 2c53b23d59 from upstream Git to fix missing cursor in Emacs
    when running in a nested session.
  * Update lintian-manpage-hyphen.diff against new upstream.
  * Remove Karl Ferdinand Ebert from Uploaders, with his permission.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 21 May 2015 20:21:33 +0200

tmux (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all upstream patches.
  * Enable libutempter support.
  * Bump Standards-Version to 3.9.6.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 May 2015 18:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: tmux
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Uploaders: Karl Ferdinand Ebert <kfebert@gmail.com>
+Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~),
                debhelper (>= 8.9.4~),
                libncurses5-dev,
                libevent-dev (>> 2.0.10),
                pkg-config,
                dh-autoreconf,
-Standards-Version: 3.9.5
+               libutempter-dev,
+Standards-Version: 3.9.6
 Homepage: http://tmux.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tmux.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/tmux.git

## tmux 2.1

=== debian/changelog ===
tmux (2.1-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:46:39 +0000

tmux (2.1-3) unstable; urgency=medium

  * Cherry-pick fixes from upstream Git:
    + 374e273df5: make paste detection trigger after two characters
    + 933929cd62: fix a memory leak in if-shell -F

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 21 Nov 2015 19:47:32 +0100

tmux (2.1-2) unstable; urgency=medium

  * Cherry-pick fixes from upstream Git:
    + 8c8cddbe02: don't cache key table when looking up keys (closes: #803393)
    + ddbc4a0f6c: add back default binding for mouse wheel up
    + a05c27a7e1: unzoom before select-pane -LRUD
    + 2e2b8a95bd: skip mouse sequences when looking for pastes
    + 3faa51a0ca: pass output from jobs through format_expand() again
    + 380a1ea8ef: add back bindings to change window with mouse wheel on
      status line
    + 640c6fdd5f: pass mouse events to the correct pane
    + 3fc001d0a2: scroll the correct pane from mouse bindings
    + 5577535891: pass through right click to the application

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 05 Nov 2015 18:53:44 +0100

tmux (2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 18 Oct 2015 20:06:36 +0200

tmux (2.1~git20151017-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit a204595e4c.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Oct 2015 19:07:51 +0200

tmux (2.1~git20150920-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 983357603a.
  * Sessions and windows can now be selected exactly with a '=' prefix
    (closes: #718559).
  * Adjust Homepage control field and watch file; tmux is now hosted on Github.
  * Use cgit URL for Vcs-Browser.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 20 Sep 2015 11:22:43 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                dh-autoreconf,
                libutempter-dev,
 Standards-Version: 3.9.6
-Homepage: http://tmux.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tmux.git
+Homepage: https://tmux.github.io/
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tmux.git/
 Vcs-Git: git://anonscm.debian.org/collab-maint/tmux.git
 
 Package: tmux

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

## tmux 2.2

=== debian/changelog ===
tmux (2.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 24 Apr 2016 18:06:14 +0200

tmux (2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 18 Apr 2016 20:18:16 +0200

tmux (2.2~git20160406-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit ad2532c3f4.
  * Bump Standards-Version to 3.9.7.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 06 Apr 2016 19:34:28 +0200

tmux (2.2~git20160306-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 5fc5c03dad.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Mar 2016 18:58:34 +0100

tmux (2.2~git20160206-1) experimental; urgency=medium

  * New upstream snapshot, from Git commit 7669cfb330.
  * debian/docs: use new merged example configuration file, the examples
    directory has been removed upstream (closes: #644366, #648867).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 06 Feb 2016 19:10:40 +0100

tmux (2.1-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 28 Nov 2015 11:31:42 +0100

tmux (2.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 11 Nov 2015 15:49:00 +0100

tmux (2.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 30 May 2015 19:33:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-config,
                dh-autoreconf,
                libutempter-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://tmux.github.io/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tmux.git/
 Vcs-Git: git://anonscm.debian.org/collab-maint/tmux.git
